#
# addfiles.py
#
# A simple test client application which adds the same input
# file to a job multiple times
#
# This attempts to test bug #2662.
#
# Usage:
# > python test_addfiles.py <project> <job_id> <filen>
#
# <type> should be either "input" or "output"
#
#Cvs_Id $Id: test_addfiles.py,v 1.3 2008/04/02 15:28:47 rmk65 Exp $
#--------------------------------------------------------------

import ccp4i
import dbClientAPI
import sys
import exceptions
import os,os.path

# Say hello
print "============================"
print "addfiles.py"
print "============================"

# Read the command line
if len(sys.argv) == 4:
    project = sys.argv[1]
    print "Project \""+project+"\""
    job_id = sys.argv[2]
    print "Jobid "+str(job_id)
    filen = sys.argv[3]
    print "File "+str(filen)
else:
    print "Usage: addfiles <project> <job_id> <filen>"
    sys.exit(1)
    
print "%s %s %s" % (project,job_id,filen)

# Open a connection to the handler
user = ccp4i.GetUserId()
if user == "":
    print "No user name: setting to 'unknown'"
    user = "unknown"
else:
    print "User is '"+user+"'"

# Try to connect to the handler
try:
    conn = dbClientAPI.HandlerConnection('dummy',True)
except exceptions.Exception,e:
    print "test_addfile.py: connection failed with exception:"
    print str(e)
    sys.exit(1)

# Do some stuff
try:    
    # open project
    if conn.OpenProject(project):
        print str(conn.GetData(project,job_id,"TITLE","TASKNAME"))
        print "Before: input files  = "+str(conn.ListInputFiles(project,job_id))
        #print "      : output files = "+str(conn.ListOutputFiles(project,job_id))
        # Add the file
        conn.AddInputFile(project,job_id,filen,"")
        print "Added file once ... try again"
        # Add again
        conn.AddInputFile(project,job_id,filen,"")
        print "After: input files  = "+str(conn.ListInputFiles(project,job_id))
        #print "      : output files = "+str(conn.ListOutputFiles(project,job_id))
except:
    raise

# Disconnect and exit
conn.HandlerDisconnect()
print "Disconnected... finished"
sys.exit(0)



